Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

If this isn't possible what would be the closest equivalent open source? Could parts of the module be ported to work on 9.3 or QGIS? I'm not sure if this would infringe on the license porting for 9.3.

share|improve this question
2  
Could you specify which functionality exactly you'd need. In general, qgis.org/pyqgis-cookbook is a good reference for PyQGIS. –  underdark Mar 7 '11 at 18:16
    
@underdark, is there an echo in here? –  DavidF Mar 7 '11 at 18:17
1  
@DavidF: I just linked the online cookbook as it's going to be up to data long after the pdf has gone outdated. –  underdark Mar 7 '11 at 18:21
    
Remember that ArcGIS 9.3 had an older Python-based interface called arcgisscripting. There is obviously new functionality in arcpy with 10.0 that doesn't exist in arcgisscripting at 9.3, but a lot is there. It all depends on what you're trying to do. –  Philip Mar 7 '11 at 20:54
add comment

2 Answers

It should be possible to access arcpy from a qgis on a machine that also has both qgis and arcgis, see How do I access arcobjects from python?, and Can I use python 2.6 with ArcGIS 9.3? for how to maintain concurrent python installs.

I think what you're really after though is "how do I do arcgis-like things in python without arcgis?". For this, as Underdark said, you're going to need to break your question down into specific tasks/objectives, and ask as individual questions.

share|improve this answer
    
I was just thinking since that arcpy is a module. I could change a few paths and be able to import and call the arcpy.* and use all the same new function in 9.3. –  Zap Rowsdower Mar 7 '11 at 22:01
    
But Im guessing porting the new geoproessor to work in 9.3 as it does in 10 is a no no. Even though their both ESRI products.. –  Zap Rowsdower Mar 7 '11 at 22:04
    
If you own both arcgis 9.3 and 10 there is no legal reason not to backport. Technically though I think you are in for a world of pain. ESRI themselves initally publicised that v9 & 10 could be simultaneously installed. They pulled that very early in the beta period, which indicates to me it caused too many problems. The bigger question is why do you want to backport? –  matt wilkie Mar 7 '11 at 22:17
    
I suppose I dont have to if I can use objects such as "arcpy.point polyline and polygon" with Marks method. –  Zap Rowsdower Mar 9 '11 at 22:21
add comment

For ArcGIS 9.3, no because arcpy requires ArcGIS 10 geoprocessor to be installed.

Python is heavily used in QGIS - but you would have to replicate (program) QGIS python to emulate any ArcGIS functionality.

your best bet is the QGIS API http://doc.qgis.org/stable/

(GISse user Underdark has much fuller knowledge and understanding of this see their work http://users.qgis.org/planet/user/4/)

share|improve this answer
2  
The cool thing about an OpenSource project is that if functionality is missing, you can often add it yourself or hire someone to do it for you. What actual functionality/functions from ArcPy are you looking for? Take a look at the QGIS Python Cookbook: linfiniti.com/wp-content/uploads/2010/11/PyQGIS.pdf –  DavidF Mar 7 '11 at 17:24
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.